// @flow
import React from 'react';
import type { storiesOf as StoriesOf } from '@storybook/react';
import { Container } from '../common/';
import { Avatar } from '../../src/';
import avatarImage from '../static/fernando-pasik.png';

export default function (storiesOf: StoriesOf) {
  storiesOf('Avatar', module)
    .addDecorator(story => <Container>{story()}</Container>)
    .add('with image', () => (
      <Avatar description="Fernando Pasik" imageUrl={avatarImage} size={120} />
    ));
}
